# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask.performHelp()
For later use
org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask.setImageDescriptor(ImageDescriptor)
For later use

Deprecated Constructors
Constructor
Description
org.eclipse.birt.core.ui.frameworks.taskwizard.WizardBase(String, int, int, String, Image, String, Image)
To use `WizardBase(Shell, String, int, int, String, Image, String, Image)`